Package org.eclipse.jdt.debug.ui

# Class JavaDebugUtils

java.lang.Object
org.eclipse.jdt.debug.ui.JavaDebugUtils

public class JavaDebugUtils extends Object
Utilities for the Java debugger.

Since:
  3.1
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`JavaDebugUtils()`

## Method Summary

Modifier and Type
Method
Description
`static IDebugElement`
`getContendedMonitor(IThread thread)`
Returns a debug element representing a monitor in contention with the given thread's underlying `IJavaThread`, or `null` if none.
`static IDebugElement[]`
`getOwnedMonitors(IThread thread)`
Returns a collection of debug elements representing the monitors owned by the given thread's underlying `IJavaThread`, or an empty collection if none.
`static IPreferenceStore`
`getPreferenceStore()`
Returns the preference store for the Java Debug UI plug-in.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavaDebugUtils

public JavaDebugUtils()

## Method Details

### getOwnedMonitors

public static IDebugElement[] getOwnedMonitors(IThread thread)
Returns a collection of debug elements representing the monitors owned by the given thread's underlying `IJavaThread`, or an empty collection if none.

The result will be empty when the user has turned off the preference to show monitor information.

Parameters:
  `thread` - an `IJavaThread` or a thread with an `IJavaThread` adapter
Returns:
  debug elements representing the monitors owned by the underlying `IJavaThread`, possibly empty

### getContendedMonitor

public static IDebugElement getContendedMonitor(IThread thread)
Returns a debug element representing a monitor in contention with the given thread's underlying `IJavaThread`, or `null` if none.

The result will be `null` when the user has turned off the preference to show monitor information.

Parameters:
  `thread` - an `IJavaThread` or a thread with an `IJavaThread` adapter
Returns:
  debug element representing a monitor in contention with the underlying `IJavaThread`, or `null`

### getPreferenceStore

public static IPreferenceStore getPreferenceStore()
Returns the preference store for the Java Debug UI plug-in.

Returns:
  preference store
Since:
  3.2